package com.qmth.eds.core.config;

import com.qmth.eds.core.domain.FssDomain;
import com.qmth.eds.core.domain.SmsDomain;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Description: 数据字典
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/4/10
 */
@Configuration
public class DictionaryConfig {

    /**
     * 短信配置
     *
     * @return
     */
    @Bean
    @ConfigurationProperties(prefix = "sms.config")
    public SmsDomain smsDomain() {
        return new SmsDomain();
    }

    @Bean
    @ConfigurationProperties(prefix = "com.qmth.fss", ignoreUnknownFields = false)
    public FssDomain fssDomain() {
        return new FssDomain();
    }

}
